%global pypi_name django-devserver

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        3%{?dist}
Summary:        Drop-in replacement for Django's runserver

License:        BSD
URL:            https://github.com/dcramer/django-devserver
Source0:        http://pypi.python.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# The source tar doesn't contain LICENSE file, download it separately
Source1:        https://raw.github.com/dcramer/%{pypi_name}/master/LICENSE

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools

Requires:       python-django

%description
A drop in replacement for Django's built-in runserver command.
Features include:
- An extendable interface for handling things such as real-time logging.
- Integration with the werkzeug interactive debugger.
- Threaded (default) and multi-process development servers.
- Ability to specify a WSGI application as your target environment.


%prep
%setup -q -n %{pypi_name}-%{version}
rm -rf django_devserver.egg-info
cp %{SOURCE1} .

%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc LICENSE
%{python_sitelib}/devserver
%{python_sitelib}/django_devserver*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Apr 16 2013 Miro Hrončok <mhroncok@redhat.com> - 0.5.0-1
- New version compatible with Django 1.5

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 05 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4.0-1
- Update to 0.4.0.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Apr 25 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.1-2
- Remove bundled egg-info directory.

* Tue Apr 17 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 0.3.1-1
- Initial package.
